export = Exception;
declare class Exception extends Error {
    /**
     * Define a unique error constructor with given defaults
     * @param {Object} [defaults]
     * @returns {typeof Exception}
     */
    static define(defaults?: any): typeof Exception;
    /**
     *
     * @param {*} error
     * @returns {Boolean}
     */
    static isException(error: any): boolean;
    /**
     *
     * @param {String} string
     * @returns {Exception}
     */
    static deserialize(string: string): Exception;
    /**
     * @overload
     * @param {...any} params
     */
    constructor(...params: any[]);
    stack: any;
    /**
     *
     * @param {*} error
     * @returns {Boolean}
     */
    is(error: any): boolean;
    /**
     *
     * @param {Boolean} [includeStacktrace=false]
     * @returns {Object}
     */
    toObject(includeStacktrace?: boolean | undefined): any;
    /**
     *
     * @param {Boolean} [includeStacktrace=false]
     * @returns {String}
     */
    toJSON(includeStacktrace?: boolean | undefined): string;
}
declare namespace Exception {
    let keepModuleTraces: boolean;
}
